Open SCAP Library

Data Structures | Macros | Typedefs | Functions
oval_resultTest.c File Reference

Open Vulnerability and Assessment Language. More...

`#include <string.h>`
`#include <ctype.h>`
`#include "oval_agent_api_impl.h"`
`#include "oval_probe_impl.h"`
`#include "results/oval_results_impl.h"`
`#include "results/oval_status_counter.h"`
`#include "oval_cmp_impl.h"`
`#include "adt/oval_collection_impl.h"`
`#include "adt/oval_string_map_impl.h"`
`#include "collectVarRefs_impl.h"`
`#include "public/oval_types.h"`
`#include "common/util.h"`
`#include "common/debug_priv.h"`
`#include "common/_error.h"`

## Data Structures
struct | oval_result_test
struct | record_field_instance

## Macros
#define | ITEMMAP (struct oval_string_map *)args[2]
#define | TEST (struct oval_result_test *)args[1]
#define | SYSTEM (struct oval_result_system *)args[0]

## Typedefs
typedef struct oval_result_test | oval_result_test_t

## Functions
struct oval_result_test * | oval_result_test_new (struct oval_result_system *sys, char *tstid)
struct oval_result_test * | oval_result_test_clone (struct oval_result_system *new_system, struct oval_result_test *old_test)
struct oval_result_test * | make_result_test_from_oval_test (struct oval_result_system *sys, struct oval_test *oval_test, int variable_instance)
void | oval_result_test_free (struct oval_result_test *test)
struct oval_result_system * | oval_result_test_get_system (struct oval_result_test *rtest)
struct oval_test * | oval_result_test_get_test (struct oval_result_test *rtest)
int | ores_add_res (struct oresults *ores, oval_result_t res)
void | ores_clear (struct oresults *ores)
oval_result_t | ores_get_result_bychk (struct oresults *ores, oval_check_t check)
oval_result_t | ores_get_result_byopr (struct oresults *ores, oval_operator_t op)
oval_result_t | oval_result_test_eval (struct oval_result_test *rtest)
oval_result_t | oval_result_test_get_result (struct oval_result_test *rtest)
int | oval_result_test_get_instance (struct oval_result_test *rtest)
struct oval_message_iterator * | oval_result_test_get_messages (struct oval_result_test *rtest)
struct oval_result_item_iterator * | oval_result_test_get_items (struct oval_result_test *rtest)
struct oval_variable_binding_iterator * | oval_result_test_get_bindings (struct oval_result_test *rtest)
void | oval_result_test_set_result (struct oval_result_test *test, oval_result_t result)
void | oval_result_test_set_instance (struct oval_result_test *test, int instance)
void | oval_result_test_add_message (struct oval_result_test *test, struct oval_message *message)
void | oval_result_test_add_item (struct oval_result_test *test, struct oval_result_item *item)
void | oval_result_test_add_binding (struct oval_result_test *test, struct oval_variable_binding *binding)
int | oval_result_test_parse_tag (xmlTextReaderPtr reader, struct oval_parser_context *context, void *usr)
xmlNode * | oval_result_test_to_dom (struct oval_result_test *rslt_test, xmlDocPtr doc, xmlNode *parent)
const char * | oval_result_test_get_id (const struct oval_result_test *rslt_test)

## Detailed Description

Open Vulnerability and Assessment Language.

See more details at http://oval.mitre.org/